Bug 1459475 - Importing gluster cluster creates two jobs in dashboard
Importing gluster cluster creates two jobs in dashboard
Status: ON_QA
Product: Red Hat Storage Console
Classification: Red Hat
Component: Dashboard (Show other bugs)
3
Unspecified Unspecified
unspecified Severity unspecified
: alpha
: 3-alpha
Assigned To: Neha Gupta
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 05:13 EDT by Filip Balák
Modified: 2017-11-29 09:59 EST (History)
7 users (show)

See Also:
Fixed In Version: tendrl-commons-3.0-alpha.10.el7scon.noarch.rpm, tendrl-node-agent-3.0-alpha.10.el7scon.noarch.rpm
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Response from API calls related jobs (26.98 KB, text/plain)
2017-06-07 05:13 EDT, Filip Balák
no flags Details
/var/log/messages (1.70 MB, text/plain)
2017-06-07 06:15 EDT, Filip Balák
no flags Details

  None (edit)
Description Filip Balák 2017-06-07 05:13:03 EDT
Created attachment 1285720 [details]
Response from API calls related jobs

Description of problem:
I had a fresh installation of tendrl without any cluster. In dashboard I tried to import gluster cluster. There were created two jobs but none of them finished. Both remain `processing` after several hours. I don't see any errors in logs from node-agent.

Version-Release number of selected component (if applicable):
tendrl-node-agent-3.0-alpha.7.el7scon.noarch
tendrl-commons-3.0-alpha.7.el7scon.noarch
tendrl-performance-monitoring-3.0-alpha.4.el7scon.noarch
tendrl-api-3.0-alpha.3.el7scon.noarch
tendrl-api-httpd-3.0-alpha.3.el7scon.noarch
tendrl-dashboard-3.0-alpha.3.el7scon.noarch
tendrl-alerting-3.0-alpha.2.el7scon.noarch

How reproducible:
60%

Steps to Reproduce:
1. Get a fresh installation of tendrl
2. In dashboard try to import gluster cluster
3. Wait a few minutes
4. Check `hostname-with-dashboard/#/admin/tasks`

Actual results:
There are created two tasks for cluster import. None of them finishes.

Expected results:
There should be one import task per one import attempt.

Additional info:
Comment 3 Filip Balák 2017-06-07 06:15 EDT
Created attachment 1285740 [details]
/var/log/messages
Comment 4 Rohan Kanade 2017-06-14 04:28:38 EDT
Why are you triggering multiple jobs to import the same set of nodes?
Comment 5 Martin Kudlej 2017-06-14 06:13:54 EDT
I let Filip to answer. But in general we should test that user is not able to run import job for same cluster twice. Same for create cluster we should test that user is not able to try to create cluster from same nodes more than once(Imagine that you have many nodes to do so. It's easy to do mistake).
Comment 6 Filip Balák 2017-06-14 06:23:12 EDT
I think that this time it was triggered automatically. That I created an import job but there was created another one after two minutes without my action.

Note You need to log in before you can comment on or make changes to this bug.